<?php

/*
 * CSV Price import/export 3 CLI - v 1.0.1 (18.09.2015)
 *
 * changes:
 * 1.0.1 - first release
 *
 */

// debug
define('CSVPRICE_PRO_DEBUG', '0');

define('OPENCART_ADMIN_DIR', '/home/user/www/example.com/admin/');

// Config file
if ( file_exists(OPENCART_ADMIN_DIR . 'config.php') ) {
	require_once (OPENCART_ADMIN_DIR . 'config.php');
} else {
	die("ERROR: cli cannot access to config.php");
}

// Configuration
require_once (DIR_SYSTEM . 'startup.php');

// Registry
$registry = new Registry();

// Loader
$obj = new Loader($registry);
$registry->set('load', $obj);

// Config
$config = new Config();
$registry->set('config', $config);

// Database
$db = new DB(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
$registry->set('db', $db);

// Settings
$query = $db->query("SELECT * FROM " . DB_PREFIX . "setting WHERE store_id = '0'");

foreach ( $query->rows as $setting ) {
	if ( !$setting['serialized'] ) {
		$config->set($setting['key'], $setting['value']);
	} else {
		$config->set($setting['key'], unserialize($setting['value']));
	}
}

// log File
$log = new Log(date("Y-m-d") . '_csvprice_cli.log');
$registry->set('log', $log);

function error_handler($errno, $errstr, $errfile, $errline) {
	global $log, $config;

	switch ($errno) {
		case E_NOTICE :
		case E_USER_NOTICE :
			$error = 'Notice';
			break;
		case E_WARNING :
		case E_USER_WARNING :
			$error = 'Warning';
			break;
		case E_ERROR :
		case E_USER_ERROR :
			$error = 'Fatal Error';
			break;
		default :
			$error = 'Unknown';
			break;
	}

	if ( CSVPRICE_PRO_DEBUG ) {
		$log->write('PHP ' . $error . ':  ' . $errstr . ' in ' . $errfile . ' on line ' . $errline);
	}

	return true;
}

// Error Handler
set_error_handler('error_handler');

// Settings
$query = $db->query("SELECT * FROM " . DB_PREFIX . "setting");
foreach ( $query->rows as $setting ) {
	if ( !$setting['serialized'] ) {
		$config->set($setting['key'], $setting['value']);
	} else {
		$config->set($setting['key'], unserialize($setting['value']));
	}
}

// Cache
$registry->set('cache', new Cache());

// Language Detection
$languages = array();
$query = $db->query("SELECT * FROM `" . DB_PREFIX . "language`");
foreach ( $query->rows as $result ) {
	$languages[$result['code']] = $result;
}
$config->set('config_language_id', $languages[$config->get('config_admin_language')]['language_id']);

// Language
$language = new Language($languages[$config->get('config_admin_language')]['directory']);
$language->load($languages[$config->get('config_admin_language')]['filename']);
$registry->set('language', $language);

// Default Store
$config->set('config_store_id', 0);

// crontab
$obj->load->model('csvprice_pro/app_cli');
$obj->model_csvprice_pro_app_cli->crontab();
?>